# Unit uCEFResponseFilter

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

This item has no description.

## Overview

### Classes, Interfaces, Objects and Records

Name | Description
--- | ---
Class `TCefResponseFilterRef` | Reference class implementing a resource filter.
Class `TCefResponseFilterOwn` | Owned class implementing a resource filter.
Class `TCustomResponseFilter` | Custom class implementing a resource filter with events.

### Types

`TOnFilterEvent = procedure(Sender: TObject; data_in: Pointer; data_in_size: NativeUInt; var data_in_read: NativeUInt; data_out: Pointer; data_out_size : NativeUInt; var data_out_written: NativeUInt; var aResult : TCefResponseFilterStatus) of object;`
`TOnInitFilterEvent = procedure(Sender: TObject; var aResult : boolean) of object;`

## Description

### Types

`TOnFilterEvent = procedure(Sender: TObject; data_in: Pointer; data_in_size: NativeUInt; var data_in_read: NativeUInt; data_out: Pointer; data_out_size : NativeUInt; var data_out_written: NativeUInt; var aResult : TCefResponseFilterStatus) of object;`
This item has no description.

`TOnInitFilterEvent = procedure(Sender: TObject; var aResult : boolean) of object;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.